0 Replies Latest reply on Apr 11, 2011 4:35 PM by raffeg

    Adobe AIR distribution/version problems

    raffeg

      I was having problems Using the AIR DEBUG LAUNCHER ADL first with the name space I thought:

      <application xmlns="http://ns.adobe.com/air/application/2.6"> //generates by flash professional

       

      I have a brandnew fully updated CS5 Premium Designer environment.

       

      Started off with an iPhone IOS application using Flash Professional and made it work.

       

      Then I tried doing the same directly with AIR. Well I got to running ADL where the process stalled

      complaining about mismatch between application and runtime versions.

       

      Finally got it working when I changed the names space to:

      <application xmlns=http://ns.adobe.com/air/application/1.5>

       

      So I started looking around for runtime versions and found this:

      c:\Program Files\Common Files\Adobe Air\Versions\1.0 //HERE THE VERSION IS: 2.6.0.19120 !!!
      c:\Program Files\Adobe\Adobe Flash Catalyst CS5\sdks\4.0.0\runtimes\air\win\Adobe Air\Versions\1.0 //HERE THE VERSION IS:1.5.3.9120 !!!

       

      so I just dumped the 2.6 DLL in the latter library and now my AIR version compiles.

       

      Well, I guess there´s few people as crazy as I am trying all the tools in the world for Iphones and Androids, BUT:

      I found much more problems in my brandnew RECENTLY UPDATED ADOBE CS5 PREMIUM DESIGNER.

      Among these XML errors in generated and sample descriptor files like unclosed tags "</copyright>...</description> where closing them results in that Flash no longer is able to parse the file. Even worse the deprecated <version></version> still appears in Flash when <versionNumber></versionNumber> is supposed to be used.

       

      I have not come that far yet but what I seen so far makes me scared.

      I have seen a lot of posting about and around this little problem but no one indicating what I found.

      Hope it'll help somebody.

      /Ralf